Index: /main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js	(revision 26306)
+++ /main/trunk/greenstone3/web/interfaces/default/js/document_scripts.js	(revision 26307)
@@ -950,7 +950,12 @@
 * HIGHLIGHTING SCRIPTS *
 ***********************/
-function swapHighlight()
+function swapHighlight(imageClicked)
 {
 	var hlCheckbox = document.getElementById("highlightOption");
+
+	if(imageClicked)
+	{
+		$(hlCheckbox).attr("checked", !$(hlCheckbox).attr("checked"));
+	}
 	
 	var from;
@@ -1035,11 +1040,17 @@
 {
 	var option = document.getElementById("rbOption");
+	var optionImage = document.getElementById("rbOptionImage");
+	
 	if(rbOn)
 	{
 		option.setAttribute("onclick", "hideText(); showBook(); swapLinkJavascript(false);");
+		optionImage.setAttribute("onclick", "hideText(); showBook(); swapLinkJavascript(false);");
+		$(option).attr("checked", false);
 	}
 	else
 	{
 		option.setAttribute("onclick", "hideBook(); showText(); swapLinkJavascript(true);");
+		optionImage.setAttribute("onclick", "hideBook(); showText(); swapLinkJavascript(true);");
+		$(option).attr("checked", true);
 	}
 }
Index: /main/trunk/greenstone3/web/interfaces/default/transform/layouts/toc.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/transform/layouts/toc.xsl	(revision 26306)
+++ /main/trunk/greenstone3/web/interfaces/default/transform/layouts/toc.xsl	(revision 26307)
@@ -265,5 +265,5 @@
 						</xsl:choose>
 					</xsl:attribute>
-					<img>
+					<img onclick="showSlideShow()">
 						<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'slideshow_image')"/></xsl:attribute>
 					</img>
@@ -283,5 +283,5 @@
 					<li>
 						<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.realisticBooksTooltip')"/></xsl:attribute>
-						<img>
+						<img id="rbOptionImage" onclick="bookInit();">
 							<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'realistic_books_image')"/></xsl:attribute>
 						</img>
@@ -294,8 +294,8 @@
 					<li>
 						<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.highlightTooltip')"/></xsl:attribute>
-						<img>
+						<img onclick="swapHighlight(true);">
 							<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'highlight_image')"/></xsl:attribute>
 						</img>
-						<input id="highlightOption" type="checkbox" class="optionCheckBox" onclick="swapHighlight();">
+						<input id="highlightOption" type="checkbox" class="optionCheckBox" onclick="swapHighlight(false);">
 							<xsl:if test="/page/pageRequest/paramList/param[@name = 'hl']/@value = 'on'">
 								<xsl:attribute name="checked">true</xsl:attribute>
@@ -308,5 +308,5 @@
 				<li id="zoomOptions" style="display:none;">
 					<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.zoomTooltip')"/></xsl:attribute>
-					<img>
+					<img id="zoomToggleImage">
 						<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'zoom_image')"/></xsl:attribute>
 					</img>
@@ -318,4 +318,10 @@
 								_imageZoomEnabled = $("#zoomToggle").attr("checked");
 							});
+							
+							$("#zoomToggleImage").click(function()
+							{
+								$("#zoomToggle").attr("checked", !$("#zoomToggle").attr("checked"));
+								_imageZoomEnabled = $("#zoomToggle").attr("checked");
+							});
 						</xsl:text>
 					</script>
@@ -326,5 +332,5 @@
 					<li id="floatingTOCOptions">
 						<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.floatingTooltip')"/></xsl:attribute>
-						<img>
+						<img id="floatTOCToggleImage">
 							<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'float_toc_image')"/></xsl:attribute>
 						</img>
@@ -337,4 +343,10 @@
 									floatMenu($("#floatTOCToggle").attr("checked"));
 								});
+								
+								$("#floatTOCToggleImage").click(function()
+								{
+									$("#floatTOCToggle").attr("checked", !$("#floatTOCToggle").attr("checked"))
+									floatMenu($("#floatTOCToggle").attr("checked"));
+								});
 							</xsl:text>
 						</script>