Index: /main/trunk/model-cols/niupepa/resources/niupepa.properties
===================================================================
--- /main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 26317)
+++ /main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 26318)
@@ -2,4 +2,9 @@
 num=Number
 commentary=Commentary
+commentary.linktitle=View the commentary of this paper
+abstract=Abstract
+abstract.linktitle=View the English abstract
+abexpl=Intro to Abstracts
+abexpl.linktitle=View introduction to English abstracts
 textbiblio=Bibliographic Details
 textbackground=Background
@@ -7,4 +12,6 @@
 textavail=Availability
 missingtext=Text conversion not possible due to missing or poor quality image.
+numissues={0-num} issues
+oneissue=1 issue
 
 simple.query=Search {0-subcolllist} for {1-some/all} of the words {2-query box}
@@ -20,5 +27,24 @@
 about.textxsupporgs=<h2>Supporting Organisations</h2>
 about.textyaymined=<p>The <a href="http://www.minedu.govt.nz">Ministry of Education</a> are the principal sponsors of this project.</p>
-about.textxsupporgs2=<p>Financial support was also generously given by the following university libraries:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Waikato University Library</a></li><li><a href="http://www.library.otago.ac.nz">Otago University Library</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Massey University Library</a></li><li><a href="http://www.victoria.ac.nz/library/">Victoria University Library</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Auckland University Library</a></li><li><a href="http://library.canterbury.ac.nz"</a>Canterbury University Library</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Lincoln University Library</a></li></ul><p>The newspapers are also available on 35mm microfilm and microfiche. They can be borrowed on interloan through your local library or purchased from the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Digital image capture was provided by <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a></p><p>Commentaries on titles provided by Gail Dallimore.</p><p><a href="_httppagex_(abexpl)">English abstracts</a> are provided by a team working through the Department of Maori Studies at the University of Auckland.</a>.</p>
+about.textxsupporgs2=<p>Financial support was also generously given by the following university libraries:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Waikato University Library</a></li><li><a href="http://www.library.otago.ac.nz">Otago University Library</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Massey University Library</a></li><li><a href="http://www.victoria.ac.nz/library/">Victoria University Library</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Auckland University Library</a></li><li><a href="http://library.canterbury.ac.nz"</a>Canterbury University Library</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Lincoln University Library</a></li></ul><p>The newspapers are also available on 35mm microfilm and microfiche. They can be borrowed on interloan through your local library or purchased from the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Digital image capture was provided by <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a></p><p>Commentaries on titles provided by Gail Dallimore.</p><p><a href="/greenstone3/library/collection/niupepa/page/abexpl">English abstracts</a> are provided by a team working through the Department of Maori Studies at the University of Auckland.</a>.</p>
 
-abstract=Abstract
+abexpl.title=English Abstracts of the MÄori Language Newspapers
+
+abexpl.content.credit=The English abstracts are being created by a research team at the Department of Maori Studies of the University of Auckland. This translation work began in 1999 and was funded for a three-year period by grants from the Royal Society of New Zealand's Marsden Fund and the Trustees of the National Library of New Zealand. The research team over that period comprised Professor Ngapare Hopa, Dr Jane McRae, Jenifer Curnow, and the postgraduate researchers who wrote the English abstracts - Tane Mokena, Dinah Paul, Hazel Petrie, Yvonne Sutherland, Lyn Waymouth. The team worked in association with the History of Print Culture in New Zealand, the Alexander Turnbull Library, and the Computer Science Department of the University of Waikato where Professors Mark Apperley and Ian Witten, Te Taka Keegan and others are carrying out the on-line conversion of the newspapers and English abstracts. Specific help with production of the abstracts is acknowledged from Hineira Woodard for translation queries, Stephen Innes of the University of Auckland Library's New Zealand &amp; Pacific Collection for access to research material, and Roberta Wilson for assistance with computers. As further funding is obtained, more English abstracts will be included on the website.
+      
+abexpl.intro=Introduction &amp; Conventions
+
+abexpl.content.intro1=We have created the English abstracts to facilitate use of the Maori-language newspapers by those who do not read Maori. They are designed to guide readers and researchers to particular articles or information and to give an impression of a whole newspaper issue. Every item in an issue is noted but the abstracts are not an account of the entire content. They briefly summarise the main subjects of long items, such as editorials, articles, and letters, and record, sometimes by a complete translation, small items such as notices, advertisements, short news reports. In sum the abstracts represent a very abbreviated form of a newspaper, and so to ensure a complete reading of any item you will need to refer to, or seek translation of, the Maori text. We suggest, therefore, that you do not quote from the abstracts.
+
+abexpl.content.intro2=The abstracts follow the order of items in the newspapers and include the titles and subtitles from them. Apart from occasional interpolations in square brackets to clarify, inform or query, the abstracts report only what is in the newspaper. Where English translation is published in the paper, this is noted after a brief statement of content. Abbreviations used are listed below.
+
+abexpl.content.translations=A few Maori words remain in the abstracts, with translation in brackets. These remain either because we regard them as key words for researchers of Maori language and culture (words such as waiata, whakapapa, whakataukÄ«), or because there is no equivalent in English for the word or the word has different meanings in different contexts (words such as mana, mÄkutu, tohunga, pÄ). We have used the Maori word 'Pakeha' in the abstracts to refer to those in New Zealand who are not Maori, because this use is common in the newspapers and in current New Zealand speech.
+
+abexpl.content.names=Maori names - personal, place and tribal - have been written according to modern spelling. Long vowels have been marked in all names, as far as these are known, on the basis of authorities such as the Dictionary of New Zealand Biography, of unambiguous component words in a name, or of common usage.  In the case of Pakeha whose names have been transliterated to Maori, the translators have given the original name only when it is evident who the person is; otherwise the transliterated form remains.
+
+abexpl.content.disclaimer=We hope that you will find the abstracts of value to your research and enjoyable for the window they open onto 19th and early 20th century Maori life and New Zealand society. We have made every effort to make accurate abstracts of the contents, but we remind you that these are simply summaries. We have not given them the time or research required for full and explicit translations. Given so many newspapers, the very diverse content, and the historical context, we may have overlooked some things and misjudged others. If in your reading you notice errors or omissions, we would be very grateful if you would notify us by email (to j.mcrae@auckland.ac.nz) so that we may correct them.
+
+
+abexpl.abbrev=The following abbreviations have been used in the abstracts:</p><table border="0"><tr valign="top"><td>CMS</td><td>Church Missionary Society</td></tr><tr valign="top"><td>WMMS</td><td>Wesleyan Methodist Missionary Society</td></tr><tr valign="top"><td>MHR</td><td>Member of the House of Representatives</td></tr><tr valign="top"><td>MP</td><td>Member of Parliament</td></tr><tr valign="top"><td>MLC</td><td>Member of the Legislative Council</td></tr></table>
+
+abexpl.updated=Updated in August, 2002
Index: /main/trunk/model-cols/niupepa/resources/niupepa_mi.properties
===================================================================
--- /main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26317)
+++ /main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26318)
@@ -2,8 +2,15 @@
 num=Nama
 commentary=Kupu Whakataki
+commentary.linktitle=Tirohia ngÄ kupu whakataki o tÄnei niupepa
+abstract=RÄpopoto reo PÄkehÄ
+abstract.linktitle=Tirohia te rÄpopoto reo PÄkehÄ e pÄ ana ki tÄnei wÄhanga
+abexpl=Kupu Whakataki
+abexpl.linktitle=He whakamÄrama i ngÄ rÄpopoto reo PÄkehÄ
 textbiblio=KÅrero TÄ
 textbackground=He WhakamÄrama
 textsubmat=Kaupapa
 textavail=Nohoanga
+numissues={0-num} niupepa
+oneissue=1 niupepa
 
 simple.query=Tirohia ki {0-subcolllist} mÅ {1-some/all} o ngÄ kupu {2-query box}
@@ -19,5 +26,5 @@
 about.textxsupporgs=<h2>Ropu Tautoko</h2>
 about.textyaymined=<p>Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.minedu.govt.nz">Tahuhu o te Matauranga</a>.</p>
-about.textxsupporgs2=<p>Ara ano hoki nga tautoko i tukua mai e nga whare pukapuka o nga whare wananga: <ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare Wananga o Waikato</a><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare Wananga o Otago</a><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare Wananga o Massey</a><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare Wananga o Victoria</a><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare Wananga o Auckland</a><li><a href="http://library.canterbury.ac.nz"</a>Te Whare Pukapuka o te Whare Wananga o Canterbury</a><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Te Whare Pukapuka o te Whare Wananga o Lincoln</a></ul><p>Kei runga te kohinga &quot;Niupepa 1842-1933&quot; i te kiriata mokito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o to rohe, ka taea ranei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">AlexanderTurnbull Library</a>. <p>Na te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti nga whakaahua, mai i te kiriata mokito ki te whakatakotoranga TIFF. <p>Na Gail Dallimore nga kupu whakataki. <p>Na tetehi ropu rangahau i te Tari Maori o te Whare Wananga o Tamaki i whakarite nga <a href="_httppagex_(abexpl)">rapopototanga reo Pakeha</a>.
+about.textxsupporgs2=<p>Ara ano hoki nga tautoko i tukua mai e nga whare pukapuka o nga whare wananga: <ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare Wananga o Waikato</a><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare Wananga o Otago</a><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare Wananga o Massey</a><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare Wananga o Victoria</a><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare Wananga o Auckland</a><li><a href="http://library.canterbury.ac.nz"</a>Te Whare Pukapuka o te Whare Wananga o Canterbury</a><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Te Whare Pukapuka o te Whare Wananga o Lincoln</a></ul><p>Kei runga te kohinga &quot;Niupepa 1842-1933&quot; i te kiriata mokito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o to rohe, ka taea ranei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">AlexanderTurnbull Library</a>. <p>Na te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti nga whakaahua, mai i te kiriata mokito ki te whakatakotoranga TIFF. <p>Na Gail Dallimore nga kupu whakataki. <p>Na tetehi ropu rangahau i te Tari Maori o te Whare Wananga o Tamaki i whakarite nga <a href="/greenstone3/library/collection/niupepa/page/abexpl">rapopototanga reo Pakeha</a>.
 
-abstract=RÄÂpopoto reo PÄÂkehÄÂ 
+