Index: main/trunk/greenstone3/web/interfaces/default/transform/config_format.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/transform/config_format.xsl	(revision 26325)
+++ main/trunk/greenstone3/web/interfaces/default/transform/config_format.xsl	(revision 26326)
@@ -9,5 +9,7 @@
 	<xsl:param name="interface_name"/>
 	<xsl:param name="library_name"/>
- 
+	<xsl:param name="site_name"/>
+	<xsl:param name="collName"/>
+  
 	<xsl:output method="xml"/>
 	<xsl:namespace-alias stylesheet-prefix="xslt" result-prefix="xsl"/>
@@ -69,4 +71,23 @@
     <xslt:variable name="collName" select="/page/pageResponse/collection/@name"/>
 		<xsl:choose>
+			<xsl:when test="@type='query'">
+				<a>
+					<xslt:attribute name='href'>
+						<xslt:value-of select='$library_name'/>
+						<xsl:text>/collection/</xsl:text>
+						<xslt:value-of select='/page/pageResponse/collection/@name'/>
+						<xsl:text>/search/</xsl:text>
+						<xsl:choose>
+							<xsl:when test="@name">
+								<xsl:value-of select="@name"/>
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:text>TextQuery</xsl:text>
+							</xsl:otherwise>
+						</xsl:choose>
+					</xslt:attribute>
+					<xsl:apply-templates/>
+				</a>
+			</xsl:when>
 			<xsl:when test="@type='classifier'">
 				<a>
@@ -76,5 +97,12 @@
 						<xslt:value-of select='/page/pageResponse/collection/@name'/>
 						<xsl:text>/browse/</xsl:text>
-						<xslt:value-of select='util:replace(@nodeID, ".", "/")'/>
+						<xsl:choose>
+							<xsl:when test="@nodeID">
+								<xsl:value-of select="@nodeID"/>
+							</xsl:when>
+							<xsl:otherwise>
+								<xslt:value-of select='util:replace(@nodeID, ".", "/")'/>
+							</xsl:otherwise>
+						</xsl:choose>
 					</xslt:attribute>
 					<xsl:apply-templates/>
@@ -94,16 +122,20 @@
 			  <xslt:value-of disable-output-escaping="yes" select="metadataList/metadata[contains(@name, '/weblink')]"/>
 			</xsl:when>
-      <xsl:when test="@type='page'">
+			<xsl:when test="@type='page'">
 				<a>
 					<xslt:attribute name='href'>
 						<xslt:value-of select='$library_name'/>
 						<xsl:text>/collection/</xsl:text>
-						<xslt:value-of select='/page/pageResponse/collection/@name'/>/page/<xsl:value-of select="@page"/></xslt:attribute>
-	  <xsl:choose>
-	  <xsl:when test="@title"><xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute></xsl:when>
-	    <xsl:when test="@titlekey"><xslt:attribute name="title"><xslt:value-of disable-output-escaping="yes" select="util:getCollectionText($collName, $site_name, /page/@lang, '{@titlekey}')"/></xslt:attribute></xsl:when></xsl:choose>
+						<xslt:value-of select='/page/pageResponse/collection/@name'/>
+						<xsl:text>/page/</xsl:text>
+						<xsl:value-of select="@page"/>
+					</xslt:attribute>
+					<xsl:choose>
+						<xsl:when test="@title"><xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute></xsl:when>
+						<xsl:when test="@titlekey"><xslt:attribute name="title"><xslt:value-of disable-output-escaping="yes" select="util:getCollectionText($collName, $site_name, /page/@lang, '{@titlekey}')"/></xslt:attribute></xsl:when>
+					</xsl:choose>
 					<xsl:apply-templates/>
 				</a>	
-      </xsl:when>
+			</xsl:when>
 			<xsl:when test="@type='equivdoc'">
 			  <xsl:call-template name="gsf:equivlinkgs3"/>
@@ -253,6 +285,6 @@
 	<!-- With gsf:collectionText, a user can request a string from the collection's dictionary in the current lang -->
 	<xsl:template match="gsf:collectionText" name="gsf:collectionText">
-    <xslt:variable name="collName" select="/page/pageResponse/collection/@name"/>
-	  <xslt:value-of disable-output-escaping="yes" select="util:getCollectionText($collName, $site_name, /page/@lang, '{@name}', '{@args}')"/>
+    <!--<xslt:variable name="collName" select="/page/pageResponse/collection/@name"/>-->
+		<xslt:value-of select="util:getCollectionText($collName, $site_name, /page/@lang, '{@name}')"/>
 	</xsl:template>
 
Index: main/trunk/greenstone3/web/interfaces/default/transform/text_fragment_format.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/transform/text_fragment_format.xsl	(revision 26326)
+++ main/trunk/greenstone3/web/interfaces/default/transform/text_fragment_format.xsl	(revision 26326)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:xslt="output.xsl"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	extension-element-prefixes="java">
+	<xsl:param name="interface_name"/>
+	<xsl:param name="library_name"/>
+	<xsl:param name="site_name"/>
+	<xsl:param name="collName"/>
+  
+	<xsl:output method="xml"/>
+	<xsl:namespace-alias stylesheet-prefix="xslt" result-prefix="xsl"/>
+
+	<!-- With gsf:interfaceText, a user can request a string from the interface dictionaries in the current lang -->
+	<xsl:template match="gsf:interfaceText" name="gsf:interfaceText">
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($interface_name, /page/@lang, @name)"/>
+	</xsl:template>
+
+	<!-- With gsf:collectionText, a user can request a string from the collection's dictionary in the current lang -->
+	<xsl:template match="gsf:collectionText" name="gsf:collectionText">
+		<xsl:copy-of select="util:getCollectionText($collName, $site_name, /page/@lang, @name)"/>
+	</xsl:template>
+
+	<xsl:template match="*">
+		<xsl:copy>
+		<xsl:copy-of select="@*"/>
+			<xsl:apply-templates/>
+		</xsl:copy>
+	</xsl:template>
+</xsl:stylesheet>
+
+