Index: main/trunk/model-cols/niupepa/resources/niupepa_mi.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26330)
+++ main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26335)
@@ -22,9 +22,9 @@
 
 about.textxbackground2=<h2>He Kupu WhakamÄrama</h2>
-about.textxbackground3=<p>He nui ake i te 17,700 whÄrangi, mai i te 34 niupepa kei te kohikohinga nei. He mea hanga i te &quot;Niupepa 1842-1933&quot;, te kohinga kua whakaemihia e te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a> ki runga i te kiriata mororiki. E 70% kei te reo MÄori, 27% kei ngÄ reo e rua, Ä, kua Ähua 3% kei te reo PÄkehÄ. E toru ngÄ kaupapa matua o ngÄ niupepa nei: he hÄpainga kÄwanatanga; he pÄnui rÄnei nÅ ngÄ iwi MÄori; he kupu whakapono rÄnei nÅ ngÄ hÄhi. </p><p>E whÄ ngÄ wÄhanga nui o te kohikohinga niupepa MÄori:</p><ul><li>ngÄ whakaahua o te whÄrangi niupepa</li><li>ngÄ kupu kua tangohia (mÅ te rapu) i aua whÄrangi</li><li>he kupu whakataki mÅ ia niupepa</li><li>he <gsf:link type="page" page="abexpl">rÄpopototanga reo PÄkehÄ</gsf:link></li></ul><p>MÅ Ätehi atu kÅrero pÄnuitia te pukapuka Rere Atu Taku Manu! Discovering History, Language & Politics in the MÄori Language Newspapers. NÄ Jennifer Curnow, rÄtou ko Ngapare Hopa, ko Jane McRae. Auckland University Press (2002).</p>
+about.textxbackground3=<p>He nui ake i te 17,700 whÄrangi, mai i te 34 niupepa kei te kohikohinga nei. He mea hanga i te &quot;Niupepa 1842-1933&quot;, te kohinga kua whakaemihia e te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a> ki runga i te kiriata mororiki. E 70% kei te reo MÄori, 27% kei ngÄ reo e rua, Ä, kua Ähua 3% kei te reo PÄkehÄ. E toru ngÄ kaupapa matua o ngÄ niupepa nei: he hÄpainga kÄwanatanga; he pÄnui rÄnei nÅ ngÄ iwi MÄori; he kupu whakapono rÄnei nÅ ngÄ hÄhi. </p><p>E whÄ ngÄ wÄhanga nui o te kohikohinga niupepa MÄori:</p><ul><li>ngÄ whakaahua o te whÄrangi niupepa</li><li>ngÄ kupu kua tangohia (mÅ te rapu) i aua whÄrangi</li><li>he kupu whakataki mÅ ia niupepa</li><li>he <gsf:link type="page" page="abexpl">rÄpopototanga reo PÄkehÄ</gsf:link></li></ul><p>MÅ Ätehi atu kÅrero pÄnuitia te pukapuka Rere Atu Taku Manu! Discovering History, Language &amp; Politics in the MÄori Language Newspapers. NÄ Jennifer Curnow, rÄtou ko Ngapare Hopa, ko Jane McRae. Auckland University Press (2002).</p>
 
 about.textxsupporgs=<h2>RÅpÅ« Tautoko</h2>
 about.textyaymined=<p>Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.minedu.govt.nz">TÄhuhu o te MÄtauranga</a>.</p>
-about.textxsupporgs2=<p>ArÄ anÅ hoki ngÄ tautoko i tukua mai e ngÄ whare pukapuka o ngÄ whare wÄnanga: <ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare WÄnanga o Waikato</a><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare WÄnanga o Otago</a><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare WÄnanga o Massey</a><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare WÄnanga o Victoria</a><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare WÄnanga o Auckland</a><li><a href="http://library.canterbury.ac.nz"</a>Te Whare Pukapuka o te Whare WÄnanga o Canterbury</a><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Te Whare Pukapuka o te Whare WÄnanga o Lincoln</a></ul><p>Kei runga te kohinga &quot;Niupepa 1842-1933&quot; i te kiriata mÅkito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o tÅ rohe, ka taea rÄnei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>. <p>NÄ te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti ngÄ whakaahua, mai i te kiriata mÅkito ki te whakatakotoranga TIFF. <p>NÄ Gail Dallimore ngÄ kupu whakataki. <p>NÄ tÄtehi rÅpu rangahau i te Tari MÄori o te Whare WÄnanga o TÄmaki i whakarite ngÄ <gsf:link type="page" page="abexpl">rÄpopototanga reo PÄkehÄ</gsf:link>.
+about.textxsupporgs2=<p>ArÄ anÅ hoki ngÄ tautoko i tukua mai e ngÄ whare pukapuka o ngÄ whare wÄnanga:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare WÄnanga o Waikato</a></li><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare WÄnanga o Otago</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare WÄnanga o Massey</a></li><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare WÄnanga o Victoria</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare WÄnanga o Auckland</a></li><li><a href="http://library.canterbury.ac.nz">Te Whare Pukapuka o te Whare WÄnanga o Canterbury</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Te Whare Pukapuka o te Whare WÄnanga o Lincoln</a></li></ul><p>Kei runga te kohinga &quot;Niupepa 1842-1933&quot; i te kiriata mÅkito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o tÅ rohe, ka taea rÄnei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>. </p><p>NÄ te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti ngÄ whakaahua, mai i te kiriata mÅkito ki te whakatakotoranga TIFF. </p><p>NÄ Gail Dallimore ngÄ kupu whakataki. </p><p>NÄ tÄtehi rÅpu rangahau i te Tari MÄori o te Whare WÄnanga o TÄmaki i whakarite ngÄ <gsf:link type="page" page="abexpl">rÄpopototanga reo PÄkehÄ</gsf:link></p>.
 
 abstract=RÄÂpopoto reo PÄÂkehÄÂ 