Index: main/trunk/model-cols/niupepa/resources/niupepa.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 26347)
+++ main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 26348)
@@ -1,3 +1,3 @@
-vol=Volume
+﻿vol=Volume
 num=Number
 commentary=Commentary
@@ -17,25 +17,51 @@
 simple.query=Search {0-subcolllist} for {1-some/all} of the words {2-query box}
 
-about.textxwelcome=<h2>Welcome to the Maori Niupepa Collection</h2>
-about.textxwelcome2=<p>Here we have a collection of historic newspapers published primarily for a Maori audience between 1842 and 1932. The newspapers can be <gsf:link type="query"><b>searched</b></gsf:link> (full text), <gsf:link type="classifier" nodeID="CL1"><b>browsed</b></gsf:link> (by series) or accessed by <gsf:link type="classifier" nodeID="CL2"><b>date</b></gsf:link>. This collection has been made available by the <a href="http://www.nzdl.org">New Zealand Digital Library Project</a>, at the <a href="http://www.cs.waikato.ac.nz/cs/">Department of Computer Science</a>, <a href="http://www.waikato.ac.nz">University of Waikato</a>.</p>
+about.languageswap=<p>Click <a id="replaceLink">here</a> to view this page in Māori</p>\
+<script type="text/javascript">\
+	<xsl:text disable-output-escaping="yes">\
+		$(window).ready(function()\
+		{\
+			var url = document.URL;\
+			if(url.indexOf("?") != -1)\
+			{\
+				if(url.search(/[&amp;?]?l=[^&amp;\b]*/g) != -1)\
+				{\
+					url = url.replace(/([&amp;?]?)l=[^&amp;\b]*/g, "$1l=mi");\
+					$("#replaceLink").attr("href", url);\
+				}\
+				else\
+				{\
+					$("#replaceLink").attr("href", url + "&amp;l=mi");\
+				}\
+			}\
+			else\
+			{\
+				$("#replaceLink").attr("href", url + "?l=mi");\
+			}\
+		});\
+	</xsl:text>\
+</script>
+
+about.textxwelcome=<h2>Welcome to the Māori Niupepa Collection</h2>
+about.textxwelcome2=<p>Here we have a collection of historic newspapers published primarily for a Māori audience between 1842 and 1932. The newspapers can be <gsf:link type="query"><b>searched</b></gsf:link> (full text), <gsf:link type="classifier" nodeID="CL1"><b>browsed</b></gsf:link> (by series) or accessed by <gsf:link type="classifier" nodeID="CL2"><b>date</b></gsf:link>. This collection has been made available by the <a href="http://www.nzdl.org">New Zealand Digital Library Project</a>, at the <a href="http://www.cs.waikato.ac.nz/cs/">Department of Computer Science</a>, <a href="http://www.waikato.ac.nz">University of Waikato</a>.</p>
 about.textxbackground=<p>Background information about the collection can be accessed below.</p>
 about.textxgrateful=<p>We are grateful for the support of many organisations that have assisted in making this collection freely available, in particular the <a href="http://www.minedu.govt.nz">Ministry of Education</a> and university libraries throughout New Zealand. Please see our supporting organisations section below.</p>
 
 about.textxbackground2=<h2>Background Information</h2>
-about.textxbackground3=<p>The niupepa collection consists of over 17,000 pages taken from 34 separate periodicals. It is based on &quot;Niupepa 1842-1933&quot;, a microfiche collection produced by the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>. 70% of the collection is written solely inMaori, 27% is bilingual and about 3% is written in English. There were three main types of niupepa published; government sponsored, Maori initiated, and religious.</p><p>There are four main parts to the Maori niupepa collection:</p><ul><li>facsimile images of the original pages</li><li>text extracted from the newspapers (for searching)</li><li>bibliographic commentaries for each newspaper title</li><li><gsf:link type="page" page="abexpl">English abstracts</gsf:link> for each issue</li></ul><p>Further information about the Niupepa Collection can be found in <i>Rere Atu Taku Manu! Discovering History, Language &amp; Politics in the Maori Language Newspapers</i>. Edited by Jennifer Curnow, Ngapare Hopa, and Jane McRae. Auckland University Press (2002). </p>
+about.textxbackground3=<p>The niupepa collection consists of over 17,000 pages taken from 34 separate periodicals. It is based on &quot;Niupepa 1842-1933&quot;, a microfiche collection produced by the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>. 70% of the collection is written solely inMāori, 27% is bilingual and about 3% is written in English. There were three main types of niupepa published; government sponsored, Māori initiated, and religious.</p><p>There are four main parts to the Māori niupepa collection:</p><ul><li>facsimile images of the original pages</li><li>text extracted from the newspapers (for searching)</li><li>bibliographic commentaries for each newspaper title</li><li><gsf:link type="page" page="abexpl">English abstracts</gsf:link> for each issue</li></ul><p>Further information about the Niupepa Collection can be found in <i>Rere Atu Taku Manu! Discovering History, Language &amp; Politics in the Māori Language Newspapers</i>. Edited by Jennifer Curnow, Ngapare Hopa, and Jane McRae. Auckland University Press (2002). </p>
 
 about.textxsupporgs=<h2>Supporting Organisations</h2>
 about.textximage=<a href="http://www.minedu.govt.nz/"><img src="http://www.minedu.govt.nz/minedu/images/ui/header/moe-logo.gif" style="border:0px;"/></a>
 about.textyaymined=<p>The <a href="http://www.minedu.govt.nz">Ministry of Education</a> are the principal sponsors of this project.</p>
-about.textxsupporgs2=<p>Financial support was also generously given by the following university libraries:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Waikato University Library</a></li><li><a href="http://www.library.otago.ac.nz">Otago University Library</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Massey University Library</a></li><li><a href="http://www.victoria.ac.nz/library/">Victoria University Library</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Auckland University Library</a></li><li><a href="http://library.canterbury.ac.nz">Canterbury University Library</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Lincoln University Library</a></li></ul><p>The newspapers are also available on 35mm microfilm and microfiche. They can be borrowed on interloan through your local library or purchased from the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Digital image capture was provided by <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a></p><p>Commentaries on titles provided by Gail Dallimore.</p><p><gsf:link type="page" page="abexpl">English abstracts</gsf:link> are provided by a team working through the Department of Maori Studies at the University of Auckland.</p>
+about.textxsupporgs2=<p>Financial support was also generously given by the following university libraries:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Waikato University Library</a></li><li><a href="http://www.library.otago.ac.nz">Otago University Library</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Massey University Library</a></li><li><a href="http://www.victoria.ac.nz/library/">Victoria University Library</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Auckland University Library</a></li><li><a href="http://library.canterbury.ac.nz">Canterbury University Library</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Lincoln University Library</a></li></ul><p>The newspapers are also available on 35mm microfilm and microfiche. They can be borrowed on interloan through your local library or purchased from the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Digital image capture was provided by <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a></p><p>Commentaries on titles provided by Gail Dallimore.</p><p><gsf:link type="page" page="abexpl">English abstracts</gsf:link> are provided by a team working through the Department of Māori Studies at the University of Auckland.</p>
 
-abexpl.title=English Abstracts of the MÄori Language Newspapers  	 
-abexpl.content.credit=The English abstracts are being created by a research team at the Department of Maori Studies of the University of Auckland. This translation work began in 1999 and was funded for a three-year period by grants from the Royal Society of New Zealand's Marsden Fund and the Trustees of the National Library of New Zealand. The research team over that period comprised Professor Ngapare Hopa, Dr Jane McRae, Jenifer Curnow, and the postgraduate researchers who wrote the English abstracts - Tane Mokena, Dinah Paul, Hazel Petrie, Yvonne Sutherland, Lyn Waymouth. The team worked in association with the History of Print Culture in New Zealand, the Alexander Turnbull Library, and the Computer Science Department of the University of Waikato where Professors Mark Apperley and Ian Witten, Te Taka Keegan and others are carrying out the on-line conversion of the newspapers and English abstracts. Specific help with production of the abstracts is acknowledged from Hineira Woodard for translation queries, Stephen Innes of the University of Auckland Library's New Zealand &amp; Pacific Collection for access to research material, and Roberta Wilson for assistance with computers. As further funding is obtained, more English abstracts will be included on the website. 
+abexpl.title=English Abstracts of the Māori Language Newspapers  	 
+abexpl.content.credit=The English abstracts are being created by a research team at the Department of Māori Studies of the University of Auckland. This translation work began in 1999 and was funded for a three-year period by grants from the Royal Society of New Zealand's Marsden Fund and the Trustees of the National Library of New Zealand. The research team over that period comprised Professor Ngapare Hopa, Dr Jane McRae, Jenifer Curnow, and the postgraduate researchers who wrote the English abstracts - Tane Mokena, Dinah Paul, Hazel Petrie, Yvonne Sutherland, Lyn Waymouth. The team worked in association with the History of Print Culture in New Zealand, the Alexander Turnbull Library, and the Computer Science Department of the University of Waikato where Professors Mark Apperley and Ian Witten, Te Taka Keegan and others are carrying out the on-line conversion of the newspapers and English abstracts. Specific help with production of the abstracts is acknowledged from Hineira Woodard for translation queries, Stephen Innes of the University of Auckland Library's New Zealand &amp; Pacific Collection for access to research material, and Roberta Wilson for assistance with computers. As further funding is obtained, more English abstracts will be included on the website. 
 abexpl.intro=Introduction &amp; Conventions 
-abexpl.content.intro1=We have created the English abstracts to facilitate use of the Maori-language newspapers by those who do not read Maori. They are designed to guide readers and researchers to particular articles or information and to give an impression of a whole newspaper issue. Every item in an issue is noted but the abstracts are not an account of the entire content. They briefly summarise the main subjects of long items, such as editorials, articles, and letters, and record, sometimes by a complete translation, small items such as notices, advertisements, short news reports. In sum the abstracts represent a very abbreviated form of a newspaper, and so to ensure a complete reading of any item you will need to refer to, or seek translation of, the Maori text. We suggest, therefore, that you do not quote from the abstracts. 
+abexpl.content.intro1=We have created the English abstracts to facilitate use of the Māori-language newspapers by those who do not read Māori. They are designed to guide readers and researchers to particular articles or information and to give an impression of a whole newspaper issue. Every item in an issue is noted but the abstracts are not an account of the entire content. They briefly summarise the main subjects of long items, such as editorials, articles, and letters, and record, sometimes by a complete translation, small items such as notices, advertisements, short news reports. In sum the abstracts represent a very abbreviated form of a newspaper, and so to ensure a complete reading of any item you will need to refer to, or seek translation of, the Māori text. We suggest, therefore, that you do not quote from the abstracts. 
 abexpl.content.intro2=The abstracts follow the order of items in the newspapers and include the titles and subtitles from them. Apart from occasional interpolations in square brackets to clarify, inform or query, the abstracts report only what is in the newspaper. Where English translation is published in the paper, this is noted after a brief statement of content. Abbreviations used are listed below. 
-abexpl.content.translations=A few Maori words remain in the abstracts, with translation in brackets. These remain either because we regard them as key words for researchers of Maori language and culture (words such as waiata, whakapapa, whakataukÄ«), or because there is no equivalent in English for the word or the word has different meanings in different contexts (words such as mana, mÄkutu, tohunga, pÄ). We have used the Maori word 'Pakeha' in the abstracts to refer to those in New Zealand who are not Maori, because this use is common in the newspapers and in current New Zealand speech. 
-abexpl.content.names=Maori names - personal, place and tribal - have been written according to modern spelling. Long vowels have been marked in all names, as far as these are known, on the basis of authorities such as the Dictionary of New Zealand Biography, of unambiguous component words in a name, or of common usage.  In the case of Pakeha whose names have been transliterated to Maori, the translators have given the original name only when it is evident who the person is; otherwise the transliterated form remains. 
-abexpl.content.disclaimer=We hope that you will find the abstracts of value to your research and enjoyable for the window they open onto 19th and early 20th century Maori life and New Zealand society. We have made every effort to make accurate abstracts of the contents, but we remind you that these are simply summaries. We have not given them the time or research required for full and explicit translations. Given so many newspapers, the very diverse content, and the historical context, we may have overlooked some things and misjudged others. If in your reading you notice errors or omissions, we would be very grateful if you would notify us by email (to j.mcrae@auckland.ac.nz) so that we may correct them. 
+abexpl.content.translations=A few Māori words remain in the abstracts, with translation in brackets. These remain either because we regard them as key words for researchers of Māori language and culture (words such as waiata, whakapapa, whakataukī), or because there is no equivalent in English for the word or the word has different meanings in different contexts (words such as mana, mākutu, tohunga, pā). We have used the Māori word 'Pakeha' in the abstracts to refer to those in New Zealand who are not Māori, because this use is common in the newspapers and in current New Zealand speech. 
+abexpl.content.names=Māori names - personal, place and tribal - have been written according to modern spelling. Long vowels have been marked in all names, as far as these are known, on the basis of authorities such as the Dictionary of New Zealand Biography, of unambiguous component words in a name, or of common usage.  In the case of Pakeha whose names have been transliterated to Māori, the translators have given the original name only when it is evident who the person is; otherwise the transliterated form remains. 
+abexpl.content.disclaimer=We hope that you will find the abstracts of value to your research and enjoyable for the window they open onto 19th and early 20th century Māori life and New Zealand society. We have made every effort to make accurate abstracts of the contents, but we remind you that these are simply summaries. We have not given them the time or research required for full and explicit translations. Given so many newspapers, the very diverse content, and the historical context, we may have overlooked some things and misjudged others. If in your reading you notice errors or omissions, we would be very grateful if you would notify us by email (to j.mcrae@auckland.ac.nz) so that we may correct them. 
 abexpl.abbrev=The following abbreviations have been used in the abstracts:</p><table border="0"><tr valign="top"><td>CMS</td><td>Church Missionary Society</td></tr><tr valign="top"><td>WMMS</td><td>Wesleyan Methodist Missionary Society</td></tr><tr valign="top"><td>MHR</td><td>Member of the House of Representatives</td></tr><tr valign="top"><td>MP</td><td>Member of Parliament</td></tr><tr valign="top"><td>MLC</td><td>Member of the Legislative Council</td></tr></table> 
 abexpl.updated=Updated in August, 2002 
Index: main/trunk/model-cols/niupepa/resources/niupepa_mi.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26347)
+++ main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26348)
@@ -16,4 +16,30 @@
 simple.query=Tirohia ki {0-subcolllist} mÅ {1-some/all} o ngÄ kupu {2-query box}
 
+about.languageswap=<p>Click <a id="replaceLink">here</a> to view this page in English</p>\
+<script type="text/javascript">\
+	<xsl:text disable-output-escaping="yes">\
+		$(window).ready(function()\
+		{\
+			var url = document.URL;\
+			if(url.indexOf("?") != -1)\
+			{\
+				if(url.search(/[&amp;?]?l=[^&amp;\b]*/g) != -1)\
+				{\
+					url = url.replace(/([&amp;?]?)l=[^&amp;\b]*/g, "$1l=en");\
+					$("#replaceLink").attr("href", url);\
+				}\
+				else\
+				{\
+					$("#replaceLink").attr("href", url + "&amp;l=en");\
+				}\
+			}\
+			else\
+			{\
+				$("#replaceLink").attr("href", url + "?l=en");\
+			}\
+		});\
+	</xsl:text>\
+</script>
+
 about.textxwelcome=<h2>Nau mai ki te Kohikohinga Niupepa MÄori</h2>
 about.textxwelcome2=<p>Kua whakaemitia mai ki konei he kohikohinga niupepa i tÄngia mÅ ngÄ kaipÄnui MÄori o ngÄ tau 1842-1932. E taea te pÄnui niupepa mÄ te <gsf:link type="query">rapu kupu</gsf:link>, i te <gsf:link type="classifier" nodeID="CL1">rÄrangi taitara</gsf:link>, me te rÄrangi <gsf:link type="classifier" nodeID="CL2">wÄtaka</gsf:link> hoki. He mea i whakatÅ«ria e te kaupapa <a href="http://www.nzdl.org">New Zealand Digital Library</a>, i te <a href="http://www.cs.waikato.ac.nz/cs/">Tari Rorohiko</a>, o te <a href="http://www.waikato.ac.nz">Whare WÄnanga o Waikato</a>.</p>
Index: main/trunk/model-cols/niupepa/transform/pages/about.xsl
===================================================================
--- main/trunk/model-cols/niupepa/transform/pages/about.xsl	(revision 26347)
+++ main/trunk/model-cols/niupepa/transform/pages/about.xsl	(revision 26348)
@@ -20,4 +20,5 @@
 	<!-- the page content -->
 	<xsl:template match="/page">
+		<gsf:collectionText name="about.languageswap"/>
 		<gsf:collectionText name="about.textxwelcome"/>
 		<gsf:collectionText name="about.textxwelcome2"/>